"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  PagesManager: true
};
exports.PagesManager = void 0;

var _builder = require("./builder");

Object.keys(_builder).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _builder[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _builder[key];
    }
  });
});

var _interfaces = require("./interfaces");

Object.keys(_interfaces).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _interfaces[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _interfaces[key];
    }
  });
});

class PagesManager {
  get middleware() {
    return interaction => {
      interaction.pagesBuilder = () => new _builder.PagesBuilder(interaction);
    };
  }

}

exports.PagesManager = PagesManager;